Skip to main content
`Ctrl`+`K`

# PetscDeviceContextView

View a `PetscDeviceContext`

## Synopsis

    #include <petscdevice.h>
    PetscErrorCode PetscDeviceContextView(PetscDeviceContext dctx, PetscViewer viewer)

Collective on `viewer`

## Input Parameters

- dctx - The `PetscDeviceContext`

- viewer - The `PetscViewer` to view `dctx` with (may be `NULL`)

## Note

If `viewer` is `NULL`, `PETSC_VIEWER_STDOUT_WORLD` is used instead, in which case this routine is collective on `PETSC_COMM_WORLD`.

## See Also

`PetscDeviceContextViewFromOptions()`, `PetscDeviceView()`, `PETSC_VIEWER_STDOUT_WORLD`, `PetscDeviceContextCreate()`

## Level

beginner

## Location

src/sys/objects/device/interface/dcontext.cxx

Index of all Device routines
Table of Contents for all manual pages
Index of all manual pages